import type { V1PresentationPreviewAttributeOptions, V1PresentationPreviewPredicateOptions } from '../../protocol';
import type { default as Indy } from 'indy-sdk';
import { ProofRequest } from './models';
export declare function createRequestFromPreview({ name, version, nonce, attributes, predicates, }: {
    name: string;
    version: string;
    nonce: string;
    attributes: V1PresentationPreviewAttributeOptions[];
    predicates: V1PresentationPreviewPredicateOptions[];
}): ProofRequest;
/**
 * Checks whether two proof requests are semantically equal. The `name`, `version` and `nonce`, `ver` fields are ignored.
 * In addition the group names don't have to be the same between the different requests.
 */
export declare function areIndyProofRequestsEqual(requestA: Indy.IndyProofRequest, requestB: Indy.IndyProofRequest): boolean;
export declare function assertNoDuplicateGroupsNamesInProofRequest(proofRequest: ProofRequest): void;
